Subject: Re: linux-next: Fixes tag needs some work in the mm-unstable tree

From: SeongJae Park <[email-masked]>
Date: Mon, 18 Aug 2025 22:39:26 -0700

On Tue, 19 Aug 2025 10:55:13 +0900 Sang-Heon Jeon <[email-masked]> wrote:

> On Tue, Aug 19, 2025 at 10:14 AM Andrew Morton
> <[email-masked]> wrote:
> >
> > On Tue, 19 Aug 2025 09:59:20 +0900 Sang-Heon Jeon <[email-masked]> wrote:
> >
> > > > has these problem(s):
> > > >
> > > >   - Target SHA1 does not exist
> > > >
> > > > Maybe you meant
> > > >
> > > > Fixes: a0b60d083fb6 ("selftests/damon: test no-op commit broke DAMON status")
> > >
> > > You're right. I think it might be changed at the point rc1 -> rc2 on
> > > the mm tree.
> > > Is there anything I can do? Or maybe Andrew can help?
> > >
> > > I didn't mean to bother you guys.  Also, original patch is from here [1]
> > >
> > > [1] https://lore.kernel.org/all/[email-masked]/
> >
> > I deleted the Fixes: tag.  The quilt filename
> > selftests-damon-test-no-op-commit-broke-damon-status-fix.patch means
> > "this will be folded into
> > selftests-damon-test-no-op-commit-broke-damon-status.patch"
> 
> Thank you, andrew

Thank you for Cc-ing me, Sang-Heon.  Thank you for fixing this, Andrew.

I actually suggested Sang-Heon to add the Fixes: tag, to help Andrew easily
understand the context.  It didn't make noises before, but everything changes.
Anyway I'm also responsible for this noise, sorry about that.

Another common way to send followup fixes for commits in mm tree is, sending
the fixup patches as a reply to the broken patch mail thread, with a brief
explanation of the context for Andrew, like my recent one[1].  I think using
this way without Fixes: tag in the patch can still help Andrew easily
understand the context while not making noises.  Sang-Heon, please consider
using that way if you get similar cases in future.

[1] https://lore.kernel.org/[email-masked]/

Thanks,
SJ

[...]